"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      form: {
        invite: "",
        password: ""
      },
      rules: {
        invite: [
          {
            type: "string",
            required: true,
            message: "请输入邀请码",
            trigger: ["blur", "change"]
          }
        ]
      }
    };
  },
  methods: {
    submit() {
      common_vendor.index.navigateTo({
        url: "/pages_subpack/house/index"
      });
      this.$refs.form.validate().then((res) => {
        common_vendor.index.showToast({
          icon: "none",
          title: "校验通过"
        });
      }).catch((errors) => {
        common_vendor.index.showToast({
          icon: "none",
          title: "校验失败"
        });
      });
    }
  }
};
if (!Array) {
  const _easycom_uv_input2 = common_vendor.resolveComponent("uv-input");
  const _easycom_uv_form_item2 = common_vendor.resolveComponent("uv-form-item");
  const _easycom_uv_button2 = common_vendor.resolveComponent("uv-button");
  const _easycom_uv_form2 = common_vendor.resolveComponent("uv-form");
  (_easycom_uv_input2 + _easycom_uv_form_item2 + _easycom_uv_button2 + _easycom_uv_form2)();
}
const _easycom_uv_input = () => "../../uni_modules/uv-input/components/uv-input/uv-input.js";
const _easycom_uv_form_item = () => "../../uni_modules/uv-form/components/uv-form-item/uv-form-item.js";
const _easycom_uv_button = () => "../../uni_modules/uv-button/components/uv-button/uv-button.js";
const _easycom_uv_form = () => "../../uni_modules/uv-form/components/uv-form/uv-form.js";
if (!Math) {
  (_easycom_uv_input + _easycom_uv_form_item + _easycom_uv_button + _easycom_uv_form)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o(($event) => $data.form.invite = $event),
    b: common_vendor.p({
      type: "text",
      placeholder: "请输入邀请码",
      customStyle: "border-radius: 30px;margin-top:5px;background-color: #ffffff;padding:5px 20px;",
      border: "none",
      modelValue: $data.form.invite
    }),
    c: common_vendor.p({
      label: "经纪人邀请码",
      prop: "invite",
      labelWidth: "220"
    }),
    d: common_vendor.o($options.submit),
    e: common_vendor.p({
      type: "primary",
      text: "登录",
      customStyle: "margin-top: 30px;background-color: #1EC77A;border-radius: 30px;"
    }),
    f: common_vendor.sr("form", "2b213a40-0"),
    g: common_vendor.p({
      labelPosition: "top",
      model: $data.form,
      rules: $data.rules
    })
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
